# {{ ansible_managed }}
server {
    listen       80 ;
    server_name  trac.caliu.cat ;

    rewrite ^ https://caliu.cat/trac/ permanent ;
}

server {
    listen 80 default_server;
    listen 443 ssl default_server;
    server_name  caliu.cat *.caliu.cat ;
    if ($scheme = http) {
        return 301 https://$host$request_uri;
    }

    error_page   500 502 503 504  /50x.html;
    location = /50x.html {
        root   /var/www/nginx-default;
    }

    location ^~ /.well-known/acme-challenge/ {
        root /var/www/murdock;
    }

    location /webalizer {
        root /var/www/murdock;
    }

    location /trac/masovers {
        auth_basic           "Trac de Caliu";
        auth_basic_user_file /home/trac/masovers/conf/passwd;

        proxy_set_header  X-Real-IP  $remote_addr;
        proxy_set_header  Host $host;
        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
        proxy_set_header  X-Forwarded-Port $server_port;
        proxy_set_header  X-Forwarded-Proto $scheme ;
        proxy_pass        http://127.0.0.1:3050;
        proxy_pass_header Authorization;
 	#proxy_redirect    http://127.0.0.1:3050 https://$http_host;
    }

    location / {
        rewrite ^ https://www.caliu.cat/ permanent;
    }

    location /nginx_status {
        stub_status on;
        access_log   off;
        allow 127.0.0.1 ;
        deny all;
    }

    ssl_certificate     /etc/ssl/certs/caliu.cat.chained.crt ;
    ssl_certificate_key /etc/ssl/private/caliu.cat.key ;
    include ssl.conf ;
}

